TrainingProject Text

Add Training Text

Add plain text or a Q&A pair (FAQ) to your knowledge base. **Permission required:** Training > Write

Add plain text or a Q&A pair (FAQ) to your knowledge base.

Permission required: Training > Write

POST
/createProjectText

Authorization

bearerToken

AuthorizationBearer <token>

API token for YourGPT Public APIs. Create tokens in Settings > API Tokens in your YourGPT dashboard.

In: header

Request Body

application/json

project_uid*string

Project identifier.

detail*string

Text content or answer.

type*string

Content type.

Value in"faq" | "text"
short_text?string

Question or title. Required when type is "faq".

tags?string

Comma-separated tags to assign.

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://api.yourgpt.ai/chatbot/v1/createProjectText" \  -H "Content-Type: application/json" \  -d '{    "project_uid": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",    "detail": "You can return items within 30 days of purchase.",    "type": "faq"  }'
{
  "type": "RXSUCCESS",
  "message": "Data Created Successfully!",
  "data": {
    "id": 2001,
    "project_id": 12345,
    "short_text": "What is your return policy?",
    "detail": "You can return items within 30 days of purchase.",
    "type": "faq",
    "status": "completed",
    "tags": null,
    "createdAt": "2025-01-15T10:30:00.000Z",
    "updatedAt": "2025-01-15T10:30:00.000Z"
  }
}
{
  "type": "RXERROR",
  "message": "Invalid params",
  "errors": {
    "short_text": "short_text is required"
  }
}
{
  "type": "RXERROR",
  "message": "Invalid or expired API token"
}
{
  "type": "RXERROR",
  "message": "You have already reached the limit."
}